## Apache Zeta Components Manual :: Docs For Class ezcWebdavLockPluginOptions

### Webdav::ezcWebdavLockPluginOptions

### Class ezcWebdavLockPluginOptions

Option class for the Webdav lock plugin.

You can use an object of this class, to set options for the lock plugin in ezcWebdavLockPluginConfiguration.

Source for this file: /Webdav/src/plugins/lock/options.php

    ezcBaseOptions
       |
       --ezcWebdavLockPluginOptions

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcWebdavLockPluginOptions | `__construct( [ $options = array()] )` Construct a new options object.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcWebdavLockPluginOptions __construct( [ $options = array()] )

Construct a new options object.

Options are constructed from an option array by default. The constructor automatically passes the given options to the __set() method to set them in the class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If trying to access a non existent property.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3